<?php
define('PROTECTOR', 1);
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
$textl='Двор';
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
$rand=rand(1000,9999); 

if($udata['lvl']<3){ 
echo'<div class="main"><div class="block_zero center"><img src="/image/!.png" alt=""/> Доступно с 3 уровня!</div></div>'; 
include($path.'files/down.php');exit; 
}  

$req = mysql_query("SELECT * FROM `dozor` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req); 
if($avto==1){ 
$rydn = mysql_fetch_array($req); 
}
if($_GET['mod']=="vopros"){ 
echo'<div class="main"><div class="block_zero">Ты уверен, что хочешь уйти со двора?</div><div class="block_zero"><a href="dozor.php?mod=cancel&r=$rand"><img src="image/icon/ok.png" alt="*"> Да, уверен</a></div><div class="dot-line"></div><div class="block_zero"><a href="dozor.php?"><img src="image/icon/error.png" alt="*"> Нет, отмена</a>';
echo'</div></div>';
include($path.'files/down.php');exit; 
}
echo'<div class="main"><div class="block_zero center"><img src="image/logo/dozor.png" width="120" height="60" alt="logo">';
if($_GET['mod']=="priz"){ 
$cena=600*$rydn['dlit'];
echo'</div><div class="dot-line"></div><div class="block_zero center"><span style="color: #9CC;">Вы вернулись со двора!!</span><br>Отжали у лохов: <img src="image/icon/money.png"> '.$cena.' сигарет</div><div class="dot-line"></div><div class="block_zero center"><a href="dozor.php?r=$rand"><span class="btn"><span class="end"><input class="label" type="submit" value="Отправится во двор"></a></span></span>'; 
echo'</div></div>';
mysql_query("DELETE FROM `dozor` WHERE `usr` = '$log'");
include($path.'files/down.php');exit; 
}
if(!empty($rydn['usr'])){ 
if($rydn['last']<time()-43200){
mysql_query("DELETE FROM `dozor` WHERE `usr` = '$log'");
echo'<div class="block_zero center">Во дворе на тебя наехали блатные<br>и отобрали навар!</div><div class="dot-line"></div><div class="block_zero center"><a href="dozor.php?r=$rand"><span class="btn"><span class="end"><input class="label" type="submit" value="Снова во двор"></a></span></span>'; 
echo'</div></div></div>'; 
include($path.'files/down.php');exit; 
}
elseif($rydn['over']<=time()){ 
$cena=600*$rydn['dlit'];
mysql_query("UPDATE `users` SET `money` = `money` + '$cena' WHERE `usr` = '$log'");
header('Location: dozor.php?mod=priz&r=$rand');exit; } 
} 
if($_GET['mod']=="rab"){ 
if(!empty($rydn['usr'])){ 
mysql_query("UPDATE `dozor` SET `last` = '".time()."' WHERE `usr` = '$log'");
header('Location: dozor.php?r=$rand');exit; 
}else{ 
$pohod=$_POST['start'];
$over=time()+3600*$pohod;
$last=time(); 
mysql_query("INSERT INTO `dozor` SET `usr` = '$log',  `over` = '$over', `last` = '$last', `dlit` = '$pohod'"); 
mysql_query("UPDATE `mag` SET `vihr2` = '1' WHERE `usr` = '$log'");
header('Location: dozor.php?r=$rand');exit;
} 
}
elseif($_GET['mod']=="cancel"){ 
if(empty($rydn['usr'])){ 
header('Location: dozor.php?r=$rand');exit;
}else{ 
mysql_query("DELETE FROM `dozor` WHERE `usr` = '$log'");
header('Location: dozor.php?r=$rand');exit;
} 
}else{ 
if(empty($rydn['usr'])){ 
echo'</div><div class="dot-line"></div><div class="block_zero center"><span style="color: #9CC;">Во дворе можно отжимать <img src="image/icon/money.png">сиги у лохов. Чем дольше гуляешь, тем больше сигарет отожмешь!</span></div><div class="dot-line"></div><div class="block_zero center">
<form action="dozor.php?mod=rab&r=$rand" method="POST"><select name="start" >';
if($udata['lvl']>=3){
echo'<option  value="1">1 час</option>';
}
if($udata['lvl']>=6){
echo'<option  value="2">2 часа</option>';
}
if($udata['lvl']>=9){
echo'<option  value="3">3 часа</option>';
}
if($udata['lvl']>=12){
echo'<option  value="4">4 часа</option>';
}
if($udata['lvl']>=15){
echo'<option  value="5">5 часов</option>';
}
if($udata['lvl']>=18){
echo'<option  value="6">6 часов</option>';
}
if($udata['lvl']>=21){
echo'<option  value="7">7 часов</option>';
}
if($udata['lvl']>=24){
echo'<option  value="8">8 часов</option>';
}
if($udata['lvl']>=27){
echo'<option  value="9">9 часов</option>';
}
if($udata['lvl']>=30){
echo'<option  value="10">10 часов</option>';
}
echo'</select><br><span class="btn"><span class="end"><input class="label" type="submit" value="Идти во двор"></form></span></span></div><div class="dot-line"></div><ul class="hint">'; 
}else{ 
$p=$rydn['over']-time();
echo'</div><div class="dot-line"></div><div class="block_zero center"><span style="color: #9CC;">Вы отправились во двор..</span><br>До конца прогулки осталось: '.Sec2Time($p).'</div><div class="dot-line"></div><div class="block_zero center"><a href="dozor.php?mod=vopros&r=$rand"><span class="btn"><span class="end"><input class="label" type="submit" value="Отменить"></a></span></span>'; 
} 
} 
echo'</div></div>'; 
include($path.'files/down.php');
?>